Bug 146334 - Hang after udev init (before rhgb) when MS USB kb plugged-in
Hang after udev init (before rhgb) when MS USB kb plugged-in
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-27 00:51 EST by Luke Hutchison
Modified: 2015-01-04 17:16 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-29 13:20:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luke Hutchison 2005-01-27 00:51:06 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20050109 Epiphany/1.4.7

Description of problem:
I have a Shuttle XPC SN95G5 desktop system which boots fine in FC3,
and booted fine with fedora-development kernels until the 2.6.10-...
series.  With the new kernels, my boot process stops after "Starting
udev: storage network audio done", before the rhgb changes screen mode.

I have a USB Microsoft Natural Keyboard Pro.  Unplugging it at boot
fixes the problem.

There is no indication that this is a USB problem, so finding the
problem was very tricky.

kernel-2.6.8-1.624  ** All these OK **
kernel-2.6.9-1.639
kernel-2.6.9-1.640
kernel-2.6.9-1.649
kernel-2.6.9-1.667
kernel-2.6.9-1.1008_FC4
kernel-2.6.9-1.1009_FC4
kernel-2.6.9-1.1020_FC4
kernel-2.6.9-1.1021_FC4
kernel-2.6.9-1.1032_FC4
kernel-2.6.9-1.1037_FC4
kernel-2.6.9-1.1047_FC4
kernel-2.6.10-1.1089_FC4  ** Stopped working here **
kernel-2.6.10-1.1105_FC4
kernel-2.6.10-1.1107_FC4
kernel-2.6.10-1.1109_FC4
kernel-2.6.10-1.1110_FC4

Would lshal or lspci output help?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Boot with MS Nat KB Pro plugged in.

[I saw this briefly in one kernel release in the 2.6.9 development
series, but I don't know which one.  It was fixed quickly.  This time
it has made it through several builds without getting fixed, so
perhaps it hasn't been noticed by anyone else.]

Additional info:
Comment 1 Luke Hutchison 2005-01-29 13:19:23 EST
Booting works again in kernel-2.6.10-1.1115_FC4 -- closing.  Thanks.

Note You need to log in before you can comment on or make changes to this bug.